﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.27.2/chezmoi_2.27.2_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.27.2/chezmoi_2.27.2_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '541e0130e67c4493195ae167ea345d8f3bb29cc93b300b4b3c7bf87adc936eed'
    checksumType   = 'sha256'
    checksum64     = 'd8899847941cd7d9b82064422fdbcd55a706da3391d4fcc8ccc9de0f3624032d'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
